summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorJeff Bilyk <jbilyk@gmail.com>2011-01-01 19:51:22 +0000
committerJeff Bilyk <jbilyk@gmail.com>2011-01-01 19:51:22 +0000
commit289c6774febc09f2c1b5453fcda3b761709219d0 (patch)
tree725a1cbe123c7f02ba916a288cd4712893acef0c
parent4c3a26dc92d71e15d00b1b0fbf16f1fddc3abec1 (diff)
downloadapts-289c6774febc09f2c1b5453fcda3b761709219d0.tar.bz2
apts-289c6774febc09f2c1b5453fcda3b761709219d0.tar.xz
apts: update several tests because of v0.2 script changesv0.3
update tests because of v0.2 script changes
-rw-r--r--tests/bind-tools2
-rw-r--r--tests/cdrkit4
-rw-r--r--tests/ipsec-tools4
-rw-r--r--tests/sfic2
-rw-r--r--tests/shorewall4
-rw-r--r--tests/unrar2
-rw-r--r--tests/xfsprogs2
7 files changed, 13 insertions, 7 deletions
diff --git a/tests/bind-tools b/tests/bind-tools
index 73c36bc..bf53926 100644
--- a/tests/bind-tools
+++ b/tests/bind-tools
@@ -1 +1 @@
-. tests/bind
+. bind
diff --git a/tests/cdrkit b/tests/cdrkit
index 332d9bf..6fc9ae9 100644
--- a/tests/cdrkit
+++ b/tests/cdrkit
@@ -1,5 +1,7 @@
apk_add $@
- mkdir test-cdrkit
+ if ! [ -d test-cdrkit ]; then
+ mkdir test-cdrkit;
+ fi
echo hello > test-cdrkit/foo
genisoimage test-cdrkit > test.iso
apk_del $@
diff --git a/tests/ipsec-tools b/tests/ipsec-tools
index 1168c9c..6388c09 100644
--- a/tests/ipsec-tools
+++ b/tests/ipsec-tools
@@ -1,5 +1,7 @@
apk_add $@
- mkdir -p /etc/racoon
+ if ! [ -d /etc/racoon ]; then
+ mkdir -p /etc/racoon
+ fi
touch /etc/ipsec.conf
touch /etc/racoon/racoon.conf
touch /etc/racoon/psk.txt
diff --git a/tests/sfic b/tests/sfic
index c88a251..e43231e 100644
--- a/tests/sfic
+++ b/tests/sfic
@@ -1 +1 @@
-. tests/asterisk \ No newline at end of file
+. asterisk \ No newline at end of file
diff --git a/tests/shorewall b/tests/shorewall
index b55693f..1628d05 100644
--- a/tests/shorewall
+++ b/tests/shorewall
@@ -9,7 +9,9 @@
# save current iptables
/etc/init.d/iptables save
echo "STARTUP_ENABLED=Yes" >> "${d}/shorewall.conf"
- echo "loc ipv4" >> "${d}/zones"
+ if ! [ cat "${d}/zones" | grep "loc ipv4" ]; then
+ echo "loc ipv4" >> "${d}/zones"
+ fi
echo "loc ${IFACE}" >> "${d}/interfaces"
# so we dont lose our ssh connection
echo "all all ACCEPT" >> "${d}/policy"
diff --git a/tests/unrar b/tests/unrar
index c76e9b6..caf362d 100644
--- a/tests/unrar
+++ b/tests/unrar
@@ -1,3 +1,3 @@
apk_add $@
- unrar p test.rar
+ unrar p ../test.rar
apk_del $@
diff --git a/tests/xfsprogs b/tests/xfsprogs
index 267834b..9d0bca3 100644
--- a/tests/xfsprogs
+++ b/tests/xfsprogs
@@ -1 +1 @@
-. tests/e2fsprogs \ No newline at end of file
+. e2fsprogs \ No newline at end of file